# Interface TableLocator

public interface TableLocator
Interface which describes turning a string into a StarTable object.

Since:
  20 Oct 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`getTable(String location)`
Returns a new or used table which is named by a given location.

## Method Details

### getTable

uk.ac.starlink.table.StarTable getTable(String location) throws IOException
Returns a new or used table which is named by a given location.

Parameters:
  `location` - table location
Returns:
  table named by `location`
Throws:
  `IOException`